aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-zope-component/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-09-29 06:58:03 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-10-30 08:23:15 +0000
commit25fd0055c2c8e3605f76d0d992b4d5a6fbce9b00 (patch)
treef07384aa520a9f01520698c0e60f94e061c8fcc8 /testing/py-zope-component/APKBUILD
parenta66bd73bdf7da5997bfda33202d8fed4a1bb2b7e (diff)
downloadaports-25fd0055c2c8e3605f76d0d992b4d5a6fbce9b00.tar.gz
aports-25fd0055c2c8e3605f76d0d992b4d5a6fbce9b00.tar.bz2
aports-25fd0055c2c8e3605f76d0d992b4d5a6fbce9b00.tar.xz
testing/py-zope-component: new aport
Zope Component Architecture https://pypi.python.org/pypi/zope.component
Diffstat (limited to 'testing/py-zope-component/APKBUILD')
-rw-r--r--testing/py-zope-component/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py-zope-component/APKBUILD b/testing/py-zope-component/APKBUILD
new file mode 100644
index 0000000000..471c68f82f
--- /dev/null
+++ b/testing/py-zope-component/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-zope-component
+_pkgname=zope.component
+pkgver=4.1.0
+pkgrel=0
+pkgdesc="Zope Component Architecture"
+url="https://pypi.python.org/pypi/zope.component"
+arch="noarch"
+license="ZPL2+"
+depends="python"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.zip"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="8e185893699f9fa577bd9ada0a5302fa zope.component-4.1.0.zip"
+sha256sums="6cb9eec6a735db27452b5825fb498684b5bff15bc0c26a7e1e5c9953a7588f4e zope.component-4.1.0.zip"
+sha512sums="438489717809982d7629e156e5252a689d0e6af5dc794688b270eddef47467fdac37cb32fa9a5f915a0303754a8365b4e05d61e6bad63228d7e3c63dba9263a0 zope.component-4.1.0.zip"